관리 메뉴

PC Geek's

구글 크롬 웹브라우저의 NPAPI 플러그인 지원 중단 문제 생각 본문

웹브라우저

구글 크롬 웹브라우저의 NPAPI 플러그인 지원 중단 문제 생각

PPAPI는 계속 지원한다고 하면서 그런 결정을 내려서, 국내 금융사이트를 이용하는 데 큰 문제를 일으켰더랬죠.

당시 사람들은 우리 나라 금융회사들이 기술발전을 따라가지 못한다고 구글을 두둔했고요. 

하지만 얼마 뒤에, 구글의 새 정책도 구멍이 있다는 게 드러나서(플래시 플레이어) 사람들은, 이래도 구멍 저래도 구멍이냐고 짜증냈더랬죠. 구글보단 플래시 플러그인 문제였지만..


그 플러그인 책임은 구글에 있는 것 같지만, 호환성있게 만들려면 별 수 없었다는 변명도 통할 만 했다고 봐요.

chrome://plugins/

크롬에서 플래시를 끄려면 위 주소를 주소창에 써넣고 메뉴로 들어가서 해당 항목을 OFF해줍니다.


그도 그럴 게, 별 차이없으면 차라리 더 나은 기술을 적용할 때까지 그냥 두지 그랬냐, 이거 구글이 어떤 목적으로 돈벌기 위해 불편을 강요하는 거 아니냐는 생각까지 들었더랬습니다. 결국은 금융회사들이 구글 정책에 맞춰 새 방법을 만들어내겠지만.



https://support.google.com/chrome/answer/6213033

Chrome의 플러그인 지원 중단 - 플러그인을 사용하는 콘텐츠가 Chrome에서 나오지 않는 경우


이전에는 플러그인을 사용하면 브라우저에 다양한 기능을 추가할 수 있었습니다. 하지만 이제는 HTML5를 사용하면 웹사이트에 이런 기능을 추가하면서 보안까지 강화할 수 있습니다. 따라서 2015년 9월 1일부터 Chrome의 플러그인 지원이 종료됩니다.


현재 NPAPI 플러그인이 작동하지 않는 이유

예전에는 NPAPI라는 구식 시스템으로 다양한 플러그인을 개발했었습니다. 그렇지만 NPAPI 플러그인이 웹사이트에서 종종 보안 문제를 일으키므로 현재는 이를 사용하는 사이트가 점차 줄고 있습니다.


Google은 Chrome의 보안, 속도, 안정성을 개선하기 위해 2015년 9월 1일부터 NPAPI 플러그인에 대한 지원을 중단합니다.


앞으로 Silverlight, Java, Unity 등 NPAPI를 사용하는 플러그인은 Chrome에서 작동하지 않습니다. 따라서 NPAPI 플러그인을 사용하는 웹사이트를 보려면 다른 웹브라우저를 사용해야 합니다.


PPAPI 플러그인은 계속 지원함


보안이 향상된 새로운 시스템인 Pepper API(PPAPI)를 사용하는 플러그인은 계속해서 작동합니다. 이런 플러그인의 예로는 Chrome과 함께 설치되는 Adobe Flash를 들 수 있습니다. Chrome과 함께 설치되는 PPAPI 플러그인은 Chrome이 업데이트되면 자동으로 업데이트되므로 별도로 관리하지 않아도 됩니다.


KB국민은행사이트에는 크롬으로 들어갈 수 있지만, KB카드사이트에는 크롬으로 들어갈 수 없어 IE를 띄우다가 생각나 적어보았습니다.


이 글과 같은 분류글목록으로 / 최신글목록 이동
0 Comments
댓글쓰기 폼